| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
IRndmGen::Param Class Referenceabstract

`#include <GaudiKernel/IRndmGen.h>`

Inheritance diagram for IRndmGen::Param:
[legend]
Collaboration diagram for IRndmGen::Param:
[legend]

## Public Member Functions
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...
virtual Param * | clone () const =0
| Clone parameters. More...

## Protected Attributes
const InterfaceID | m_type
| Type of the generator. More...

## Detailed Description

Definition at line 40 of file IRndmGen.h.

## Constructor & Destructor Documentation

IRndmGen::Param::Param | ( | const InterfaceID & | type = `IID_IRndmFlat` | ) |
| inline

Standard constructor.

Definition at line 48 of file IRndmGen.h.

48 : m_type( type ) {}
IRndmGen::Param::m_type
const InterfaceID m_type
Type of the generator.
Definition: IRndmGen.h:44

virtual IRndmGen::Param::~Param | ( |  | ) |
| virtual default

Standard Destructor.

## Member Function Documentation

virtual Param* IRndmGen::Param::clone | ( |  | ) | const
| pure virtual

Clone parameters.

Implemented in Rndm::GaussianTail, Rndm::DefinedPdf, Rndm::Bit, Rndm::Flat, Rndm::Binomial, Rndm::Poisson, Rndm::Gamma, Rndm::StudentT, Rndm::BreitWignerCutOff, Rndm::Landau, Rndm::BreitWigner, Rndm::Chi2, Rndm::Exponential, and Rndm::Gauss.

virtual const InterfaceID& IRndmGen::Param::type | ( |  | ) | const
| inline virtual

Parameter's type.

Definition at line 52 of file IRndmGen.h.

52 { return m_type; }
IRndmGen::Param::m_type
const InterfaceID m_type
Type of the generator.
Definition: IRndmGen.h:44

## Member Data Documentation

const InterfaceID IRndmGen::Param::m_type
| protected

Type of the generator.

Definition at line 44 of file IRndmGen.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IRndmGen.h